﻿/*!
 * Additional CSS 
 */

:root {
    --book-text-color: #333333;
    --book-bg-dark: #17214f; /* 20% #2e2e52 37%*/
    --book-bg-dark90: #d7ddf4; /* #ebebe0 */
    --book-bg-dark65: #7587d7; /* #b8b894 used at deleted record popover make it dim*/
    --book-bg-dark50: #3953c6; /* #999966 */
    --book-bg-dark35: #263782; /* #6b6b47 */
    --book-bg-light: #f2f2f2; /* #efeff6 */
    --book-top-menu-fontcolor: #262626; /* <=Black 15%*/
    --book-font-color: #c4cbee; /* <=blue 85% */ /*OLD: #f2f2f2;*/
    --book-btn-border-radius: 0.50rem;
}
/* js fun alertMessage() */
#divmsg123 {
    position: fixed;
    z-index: 101;
    top: 50px;
    color: #fff;
    font-weight: normal;
    font-size: 14px;
    height: 50px;
    width: 20%;
    min-width: 50px;
    /*background: red;*/
    /*right: 64%; start position*/
}

.book-pt {
    padding-top: 1.0rem; /* 1.50rem; pt-4*/
}

.book-pt-label4 {
    padding-top: 1.25rem; /*pt-4*/
}

.book-pt-label2 {
    padding-top: 0.5rem; /*pt-2*/
}

.book-pb-label2 {
    padding-bottom: 0.5rem
}

.font-size-9mts {
    font-size: 9px;
}

.font-size-10mts {
    font-size: 9.5px;
}

.font-size-11mts {
    font-size: 11px;
}

.font-size-12mts {
    font-size: 12px;
}

.font-size-14mts {
    font-size: 14px;
}

.font-size-15mts {
    font-size: 15px;
}
.font-size-16mts {
    font-size: 16px;
}
.font-size-18mts {
    font-size: 18px;
}
.font-card-header {
    font-size: 1.15rem !important;
}
/* font-size END */

.text-primary-header { /*50%*/
    color: var(--book-bg-dark35) !important;
}

.text-primary-label { /*40%*/
    color: var(--book-bg-dark35) !important;
}

.text-white-mts {
    color: #ffffff !important;
}
.text-Book-white {
    color: var(--book-bg-light) !important;
}
.text-greenicon {
    color: #008000;
}
.text-black-mts {
    color: var(--book-text-color) !important;
}
.text-gray-disable-mts {
    color: #f2f2f2;
}
.text-decor-popover {
    text-decoration: underline;
    text-decoration-style: solid;
    text-decoration-thickness: 3px;
    text-decoration-color: var(--book-bg-dark35);    
}
.text-decor-popover-deleted {
    text-decoration: underline;
    text-decoration-style: solid;
    text-decoration-thickness: 3px;
    text-decoration-color: var(--book-bg-dark65);
}
.text-link-mts {
    color: var(--book-bg-dark35) !important;
}
.text-yellow-mts {
    color: #e6e600 !important; /*#ffff00*/
}
/* bg -  Start */
.bg-logo {
    background-color: #060C2F;
}
.bg-Book-dark {
    background-color: var(--book-bg-dark35); /* dark voilet*/
}
.bg-Book-dark90 {
    background-color: var(--book-bg-dark90); /* dark voilet*/
}
.bg-Book-dark50 {
    background-color: var(--book-bg-dark50); /* dark voilet*/
}
.bg-gray-disable-mts {
    color: var(--book-bg-light) !important;
}

.bg-Book-light {
    background-color: whitesmoke !important; /* var(--book-bg-light) */
}

.bg-gv-alt-row-mts {
    background-color: var(--book-font-color);
}
.calanderHeader {
    background: linear-gradient(to bottom, #996600 0%, #ffffcc 75%);
}
/* bg - End */
.span-bg-onhover:hover {
    background-color: #17214f;
    color: white;
}
.cursor-not-allowed {
    cursor: not-allowed;
}
.cursor-pointer {
    cursor: pointer;
}
.max-vh-purchaseItems {
    min-height: 20vh !important; /* 28vh */
    max-height: 40vh !important; /* 28vh */
}
.max-vh-purfooter {
    max-height: 20vh !important;
}
/*.min-vh-purchaseItems {
    min-height: 28vh !important;
}*/
.min-vh-15mts {
    min-height: 15vh !important;
}
.min-vh-20mts {
    min-height: 20vh !important;
}
.min-vh-30mts {
    min-height: 30vh !important;
}
.min-vh-45mts {
    min-height: 45vh !important;
    max-height: 45vh !important;
}
.min-vh-50mts {
    min-height: 50vh !important;
}
.min-vh-60mts {
    min-height: 60vh !important;
    /*max-height: 60vh !important;*/
}
.min-vh-70mts {
    min-height: 70vh !important;
    max-height: 70vh !important;
}
.min-vh-100mts {
    min-height: 100vh !important;
    max-height: 100vh !important;
}
div.max-scrollable {
    max-height: 500px;
}

div.max-scrollable-report {
    min-height: 550px;
}
.rpt-scrollable-mobile {
    overflow-x: auto;
    overflow-y: scroll;
    /*height:max-content;*/
    /*display: block;*/
}
.rpt-min-max-height {
    min-height: 70vh;
    max-height: 70vh;
}
.pre-scrollable {
    overflow-y: scroll;
    height: 600px;
}

.gv-scrollable-mobile {
    overflow-x: auto;
    display: block;
    /* width:100%;*/
}

.pre-scrollable-dashboard {
    overflow-y: scroll;
    height: 450px;
    width: 95%;
}

/* min-vh END */

.div-device-comp {
    overflow-x: auto;
    display: block;
}

.form-control-mts {
    display: inline-block;
    width: 100%;
    height: calc(1.5em + 0.75rem + 2px);
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: var(--book-text-color);
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #bebeda;
    /*border-bottom: 1px solid black;*/
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .form-control-mts:focus {
        border: 1px solid #bebeda;
        /*box-shadow: 15px 10px 10px 0px #f2f2f2;*/
        /*box-shadow: 15px 10px 10px 0px #f2f2f2;*/
    }

    .form-control-mts:disabled, .form-control-mts[readonly] {
        background-color: #f2f2f2;
        opacity: 1;
        cursor:not-allowed;
    }

.form-control-ps {
    display: inline-block;
    width: 100%;    
    /*height: calc(1.5em + 0.75rem + 2px);*/
    padding: 0.375rem 0.75rem;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.2;
    color: var(--book-text-color);
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #bebeda;
    /*border-bottom: 1px solid black;*/
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .form-control-ps:focus {
        border: 1px solid #bebeda;
        /*box-shadow: 15px 10px 10px 0px #f2f2f2;*/
        /*box-shadow: 15px 10px 10px 0px #f2f2f2;*/
    }

    .form-control-ps:disabled, .form-control-ps[readonly] {
        background-color: #f2f2f2;
        opacity: 1;
        cursor: not-allowed;
    }
.ps-ddl-height {
    height:30px;
    padding-top: 1px;
    padding-bottom: 3px;
}
.form-ddl-ps {
    display: inline-block;
    width: 100%;
    height: 31px;
    padding: 0.375rem 0.75rem;
    padding-top: 1px;
    padding-bottom: 3px;
    font-size: 14px;
    font-weight: 400;
    line-height: 1.2;
    color: var(--book-text-color);
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid #bebeda;
    /*border-bottom: 1px solid black;*/
    border-radius: 0.25rem;
    transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    .form-ddl-ps:focus {
        border: 1px solid #bebeda;
        /*box-shadow: 15px 10px 10px 0px #f2f2f2;*/
        /*box-shadow: 15px 10px 10px 0px #f2f2f2;*/
    }

    .form-ddl-ps:disabled, .form-ddl-ps[readonly] {
        background-color: #f2f2f2;
        opacity: 1;
        cursor: not-allowed;
    }
    /* alert start */
    /*.alert-position-left-mts {
    position: absolute;
    top: 45px;
    left: 75px;    
    z-index: 1;
}

.alert-position-right-mts {
    position: absolute;
    top: 15px;
    right: 15px;
    z-index: 1;
}
*/
    @media (min-width: 576px) {
        /*sm*/
        .alert-position-login-sm {
        position: absolute;
        top: 60px;
        right: 50px;
        z-index: 1;
    }
}

@media (min-width: 768px) {
    /*md*/
    .alert-position-login-md {
        position: absolute;
        top: 15px;
        left: 35px;
        z-index: 1;
    }
}

@media (min-width: 992px) {
    /*lg*/
   
}

@media (min-width: 1200px) {
    /*xl*/
    .alert-position-login-lg {
        position: absolute;
        top: 44px;
        right: 50px;
        z-index: 1;
    }
}

@media (min-width: 1400px) {
    /*xxl*/
    
}

.alert-position-login {
    position: absolute;
    bottom: 300px;
    left: 50px;
    z-index: 1;
}

.alert-position-center-mts {
    position: absolute;
    /*bottom: 50px;
    right: 10%;*/
    top: 25%; /* 50% */
    right: 20%; /* 10% */
    z-index: 1100;
}

.alert-success-mts {
    --bs-alert-color:black;
    --bs-alert-bg: #bcdcce; /*#0f5132 #d1e7dd*/
    --bs-alert-border-color: #0f5132; /*#badbcc*/
    border-width:2px;
}

.alert-warning-mts {
    color: #ad1f2a;
    background-color: #fff3cd; /*#f8d7da - red*/
    border-color: #ad1f2a;
    border-width: 2px;
}

.alert-info-mts {
    color: #003366;
    background-color: #99ccff;
    border-color: #0066cc;
    /*--bs-alert-color: #055160;
    --bs-alert-bg: #cff4fc;
    --bs-alert-border-color: #b6effb;*/
    border-width: 2px;
}

.alert-danger-mts {
    color: white;
    background-color: #b30000;
    border-color: #b30000;
    border-width: 2px;
}

    .alert-danger-mts .alert-link {
        color: #6a1a21;
    }

/* alert - End */



/* card - Start */
.card-body-p {
    padding-left: 0.25rem !important; /* p-2 */
    padding-right: 0.25rem !important;
}
.card-mts {
    position: relative;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #fff;
    background-clip: border-box;
    border: 3px solid #ffffff; /*rgba(0, 0, 0, 0.125);*/
    border-radius: 0.25rem;
}

.card-header-mts {
    padding: 0.40rem 1.25rem;
    margin-bottom: 0;
    background: linear-gradient(to bottom, var(--book-bg-dark65) 0%, var(--book-bg-dark90) 45%);    
    border-bottom: 3px solid var(--book-bg-dark);
}

    .card-header-mts:first-child {
        border-radius: calc(0.25rem - 1px) calc(0.25rem - 1px) 0 0;
    }

.card-body-mts {
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 1.25rem;
}

.card-header-nobg-mts {
    padding: 0.75rem 1.25rem;
    margin-bottom: 0;
    border-bottom: 3px solid var(--book-bg-dark);
}
/* card - End */

/*Buttons - start*/

.btn-mts {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    background-color: #007bff;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.7;
    border-radius: 0.35rem;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

    /*.btn-mts:hover {        
        box-shadow: 15px 10px 10px 0px #f2f2f2;
    }*/ 

    .btn-mts:disabled {
        box-shadow: none;
        cursor: not-allowed;
    }

.btn-submit-mts {
    color: var(--book-font-color);
    background-color: var(--book-bg-dark);
    border-color: var(--book-bg-dark);
    font-weight: bold;
    border-radius: var(--book-btn-border-radius);
}

    .btn-submit-mts:hover, .btn-submit-mts:focus {
        color: var(--book-bg-dark);
        background-color: var(--book-bg-dark90);
        border-color: var(--book-bg-dark90);
        /*opacity: 0.5;*/
    }

    .btn-submit-mts.disabled, .btn-submit-mts:disabled {
        color: #d9d9d9;
        background-color: var(--book-bg-dark);
        border-color: var(--book-bg-dark);
        opacity: 0.5;
        cursor: not-allowed;
    }
.btn-save-mts {
    color: var(--book-font-color);
    background-color: var(--book-bg-dark);
    border-color: var(--book-bg-dark);
    border-radius: var(--book-btn-border-radius);
    font-weight: bold;
    width: 75px;
}
    .btn-save-mts:hover, .btn-save-mts:focus {
        color: var(--book-bg-dark35);
        background-color: var(--book-bg-dark65);
        border-color: var(--book-bg-dark90);        
    }
    .btn-save-mts.disabled, .btn-save-mts:disabled {
        color: #d9d9d9;
        background-color: var(--book-bg-dark);
        border-color: var(--book-bg-dark);
        opacity: 0.7;
        cursor: not-allowed;
    }

.btn-saveandnew-mts {
    color: #283a8a;
    background-color: #fff;    
    border-color: var(--book-bg-dark);
    border-radius: var(--book-btn-border-radius);
    font-weight: bold;
    width: 75px;
}
    .btn-saveandnew-mts:hover, .btn-saveandnew-mts:focus {
        color: #283a8a;
        background-color: #b3e3ff;
        border-color: var(--book-bg-dark);
    }

    .btn-saveandnew-mts.disabled, .btn-saveandnew-mts:disabled {
        color: #d9d9d9;
        background-color: var(--book-bg-dark);
        border-color: var(--book-bg-dark);
        opacity: 0.7;
        cursor: not-allowed;
    }

.btn-cancel-mts {
    color: var(--book-bg-dark);
    background-color: transparent; /*#f2f2f2*/
    border: 0px solid var(--book-bg-dark);
    border-radius: var(--book-btn-border-radius);
}

    .btn-cancel-mts:hover, .btn-cancel-mts:focus {
        opacity: 0.5;
    }
    .btn-cancel-mts.disabled, .btn-cancel-mts:disabled {
        color: #999999;
        background-color: #e6e6e6;
        border-color: #e6e6e6;
        opacity: 0.65;
        cursor: not-allowed;
    }

.btn-edit {
    width: 26px;
    height: 26px;
    background-image: url('Images/edit-btn-hover.png');
    background-size: cover;
    border: none;
}

    .btn-edit:hover {
        background-image: url('Images/edit-btn-blue.png');
        background-size: cover;
        border: none;
    }

    .btn-edit.disabled, .btn-edit:disabled {
        background-image: url('Images/edit-btn-dis.png');
        background-size: cover;
        border: none;
    }
.btn-view {
    width: 25px;
    height: 25px;
    background-image: url('Images/view-btn.png');
    background-size: cover;
    border: none;
}

    .btn-view:hover {
        background-image: url('Images/view-btn-hover.png');
        background-size: cover;
        border: none;
    }

    .btn-view.disabled, .btn-view:disabled {
        background-image: url('Images/view-btn-hover.png');
        background-size: cover;
        border: none;
    }
.btn-trash {
    width: 27px;
    height: 27px;
    background-image: url('Images/trash-btn-red.png');
    background-size: cover;
    border: none;
}

    .btn-trash:hover {
        background-image: url('Images/trash-btn-hover.png');
        background-size: cover;
        border: none;
    }

    .btn-trash.disabled, .btn-trash:disabled {
        background-image: url('Images/trash-btn-gray.png');
        background-size: cover;
        border: none;
    }

.btn-copy {
    width: 26px;
    height: 26px;
    background-image: url('Images/copy-hover.png');
    background-size: cover;
    border: none;
}
    .btn-copy:hover {
        background-image: url('Images/Copy.png');
        background-size: cover;
        border: none;
    }

    .btn-copy.disabled, .btn-copy:disabled {
        background-image: url('Images/copy-dis.png');
        background-size: cover;
        border: none;
        cursor: not-allowed;
    }

.btn-search-mts {
    width: 26px;
    height: 26px;
    background-image: url('../Core_Css/Images/search-blueIcon.png');
    background-size: cover;
    background-color: transparent; /* #ff9900 */
    border:none;
    border-radius: var(--book-btn-border-radius);
    border-color: transparent;
    background-repeat: no-repeat;
    /*border-width: 0px;*/
}

    .btn-search-mts:hover {
        background-image: url('../Core_Css/Images/search-hover.png');
        background-size: cover;
        border:none;
        border-width: 0px;
    }

    .btn-search-mts.disabled, .btn-search-mts:disabled {
        background-image: url('../Core_Css/Images/search-blueIcon.png');
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
    }

.btn-select {
    width: 28px;
    height: 28px;
    background-image: url('Images/select-icon-blue.png');
    background-size: cover;
}

    .btn-select:hover {
        background-image: url('Images/select-icon-blue.png');
        background-size: cover;        
    }

    .btn-select.disabled, .btn-select:disabled {
        background-image: url('Images/select-icon-gray.png');
        background-size: cover;
        border: none;
        cursor: not-allowed;
    }

.btn-pdf {
    width: 25px;
    height: 27px;
    background-image: url('../Core_Css/Images/pdf-icon.PNG');  
    background-size: cover;
    border: none;
}

    .btn-pdf:hover {
        background-image: url('../Core_Css/Images/pdf-hover.PNG');
        background-size: cover;
        border: none;
    }

    .btn-pdf.disabled, .btn-pdf:disabled {
        background-image: url('../Core_Css/Images/pdf-icon.PNG');
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
        border: none;
    }

.btn-excel-circle {
    width: 31px;
    height: 31px;
    background-image: url('../Core_Css/Images/excel-circle.PNG');
    background-size: cover;
    border-width: 0px;
}

    .btn-excel-circle:hover {
        background-image: url('../Core_Css/Images/excel-circle-hover.PNG');
        background-size: cover;        
        border-width: 0px;
    }

    .btn-excel-circle.disabled, .btn-excel-circle:disabled {
        background-image: url('../Core_Css/Images/excel-circle-hover.PNG');
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
        border-width: 0px;
    }

.btn-icon-plus {
    width: 34px;
    height: 34px;
    background-image: url('../Core_Css/Images/add-hover.PNG');
    background-size: cover;
    border-width: 0px;
}

    .btn-icon-plus:hover, .btn-icon-plus:focus {
        background-image: url('../Core_Css/Images/add-green.PNG');
        background-size: cover;
        border-width: 0px;
    }

    .btn-icon-plus.disabled, .btn-icon-plus:disabled {
        background-image: url('../Core_Css/Images/add-hover.PNG');
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
        border-width: 0px;
    }

.btn-icon-cross {
    width: 34px;
    height: 34px;
    background-image: url('../Core_Css/Images/cancel-hover.PNG');
    background-size: cover;
    border-width: 0px;
}

    .btn-icon-cross:hover, .btn-icon-cross:focus {
        background-image: url('../Core_Css/Images/cancel-red.PNG');
        background-size: cover;
        border-width: 0px;
    }

    .btn-icon-cross.disabled, .btn-icon-cross:disabled {
        background-image: url('../Core_Css/Images/cancel-hover.PNG');
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
        border-width: 0px;
    }

.btn-icon-edit {
    width: 34px;
    height: 34px;
    background-image: url('../Core_Css/Images/edit-green.PNG');
    background-size: cover;
    border-width: 0px;
}

    .btn-icon-edit:hover {
        background-image: url('../Core_Css/Images/edit-hover.PNG');
        background-size: cover;
        border-width: 0px;
    }

    .btn-icon-edit.disabled, .btn-icon-edit:disabled {
        background-image: url('../Core_Css/Images/edit-hover.PNG');
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
        border-width: 0px;
    }

.btn-printer {
    width: 21px;
    height: 21px;
    background-image: url('Images/printer.png');
    background-size: cover;
    border: none;
}

    .btn-printer:hover {
        background-image: url('Images/printer-hover.png');
        background-size: cover;
    }

.btn-actions {
    --bs-btn-padding-x: 0.50rem;
    --bs-btn-padding-y: 0.375rem;
    /*--bs-btn-font-family:;*/
    --bs-btn-font-size: 0.875rem; /*1rem = 16px,0.875rem = 15px,0.75rem = 12px,  */
    --bs-btn-font-weight: 400;
    --bs-btn-line-height: 0.75;
    --bs-btn-color: #212529;
    --bs-btn-bg: transparent;
    --bs-btn-border-width: 1px;
    --bs-btn-border-color: transparent;
    --bs-btn-border-radius: var(--book-btn-border-radius); /*0.375rem;*/
    --bs-btn-box-shadow: inset 0 1px 0 rgba(255, 255, 255, 0.15), 0 1px 1px rgba(0, 0, 0, 0.075);
    --bs-btn-disabled-opacity: 0.65;
    --bs-btn-focus-box-shadow: 0 0 0 0.25rem rgba(var(--bs-btn-focus-shadow-rgb), .5);
    display: inline-block;
    padding: var(--bs-btn-padding-y) var(--bs-btn-padding-x);
    font-family: var(--bs-btn-font-family);
    font-size: var(--bs-btn-font-size);
    font-weight: var(--bs-btn-font-weight);
    line-height: var(--bs-btn-line-height);
    color: var(--bs-btn-color);
    text-align: center;
    text-decoration: none;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    user-select: none;
    border: var(--bs-btn-border-width) solid var(--bs-btn-border-color);
    border-radius: var(--bs-btn-border-radius);
    background-color: var(--bs-btn-bg);
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
    .btn-actions:hover {
        color: var(--bs-btn-hover-color);
        background-color: var(--bs-btn-hover-bg);
        border-color: var(--bs-btn-hover-border-color);
    }
.btnaction-outline-success {
    --bs-btn-color: white; /*#198754*/
    --bs-btn-border-color: var(--book-bg-dark35); /* #1c975d #198754*/
    background-color: var(--book-bg-dark35);
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #198754;
    --bs-btn-hover-border-color: #198754;
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #198754;
    --bs-btn-active-border-color: #198754;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #198754;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #198754;
    --bs-gradient: none;
}
    .btnaction-outline-success.disabled, .btnaction-outline-success:disabled {
        color: var(--book-bg-dark35);
        background-color: var(--book-font-color);
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
    }
.btnaction-outline-danger {
    --bs-btn-color: white; /*#dc3545*/
    --bs-btn-border-color: #dc3545;
    background-color: #dc3545;
    --bs-btn-hover-color: #fff;
    --bs-btn-hover-bg: #dc3545;
    --bs-btn-hover-border-color: #dc3545;
    --bs-btn-focus-shadow-rgb: 220, 53, 69;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #dc3545;
    --bs-btn-active-border-color: #dc3545;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #dc3545;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #dc3545;
    --bs-gradient: none;
}
    .btnaction-outline-danger.disabled, .btnaction-outline-danger:disabled {
        color: #dc3545;
        background-color: var(--book-font-color);
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
    }
.btnstatus-paid {
    --bs-btn-color: #000; /*#198754*/
    --bs-btn-border-color: #53df9e; /* #1c975d #198754*/
    background-color: #53df9e;
    --bs-btn-hover-color: #1c975d;
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: #198754;
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #198754;
    --bs-btn-active-border-color: #198754;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #198754;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #198754;
    --bs-gradient: none;
    width:64px;
    /*font-weight: bold;*/
}

    .btnstatus-paid.disabled, .btnstatus-paid:disabled {
        color: darkgray;
        background-color: var(--book-font-color);
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
    }
.btnstatus-unpaid {
    --bs-btn-color: yellow; /*#198754*/
    --bs-btn-border-color: #ff6699; /* #1c975d #198754*/
    background-color: #ff6699;
    --bs-btn-hover-color: #ff6699;
    --bs-btn-hover-bg: transparent;
    --bs-btn-hover-border-color: #ff6699;
    --bs-btn-focus-shadow-rgb: 25, 135, 84;
    --bs-btn-active-color: #fff;
    --bs-btn-active-bg: #198754;
    --bs-btn-active-border-color: #198754;
    --bs-btn-active-shadow: inset 0 3px 5px rgba(0, 0, 0, 0.125);
    --bs-btn-disabled-color: #198754;
    --bs-btn-disabled-bg: transparent;
    --bs-btn-disabled-border-color: #198754;
    --bs-gradient: none;
    width: 64px;
}

    .btnstatus-unpaid.disabled, .btnstatus-unpaid:disabled {
        color: var(--book-bg-dark35);
        background-color: var(--book-font-color);
        background-size: cover;
        opacity: 0.40;
        cursor: not-allowed;
    }
/*Buttons - End */

/* Overwite Bootstrap */

.table-hover > tbody > tr:hover > td {
    background-color: var(--book-bg-dark90);
    color: #000080 !important;
}

.tblHeaderSticky {
    position: sticky;
    top: 0;
    /*background-color: var(--book-bg-light) !important;*/
    /*  z-index: 10000;*/
}

.scrollable-element {
    scrollbar-base-color: red yellow;
}

/* Custom Scrollbars */

/* width */
::-webkit-scrollbar {
    width: 4px;
    height: 6px;
}

/* Track */
::-webkit-scrollbar-track {
    box-shadow: inset 0 0 5px var(--book-bg-dark50);
    border-radius: 10px;
}

/* Handle */
::-webkit-scrollbar-thumb {
    background: var(--book-bg-dark);
    border-radius: 10px;
}

    /* Handle on hover */
    ::-webkit-scrollbar-thumb:hover {
        background: var(--book-bg-dark50);
    }

/* Custom Scrollbars - End */

/* Gv Header block hover style */
.table-hover > tbody > tr:hover > th {
    box-shadow: none;
    color: var(--book-bg-dark35) !important;
}

/* Popover override start */
.popover {
    /*border: 2px solid #f0f0f0;*/
    min-width: 176px;
    max-width: 276px;  
}

.popover-header {
    background-color: var(--book-bg-dark);
    color: #ffffff;
    font-size: 16px;
    text-align: left;
    font-weight: bold;
    border: 1px solid var(--book-bg-dark);
}

.popover-body {
    background-color: var(--book-bg-light);
    color: #000000;
    font-size: 16px;
    padding: 10px;
    border: 1px solid var(--book-bg-dark);
    border-bottom-left-radius: 7px;
    border-bottom-right-radius: 7px;
}

.popover .arrow {
    position: absolute;
    display: block;
    width: 1rem;
    height: 0.5rem;
    margin: 0 0.3rem;
}

    .popover .arrow::before, .popover .arrow::after {
        position: absolute;
        display: block;
        content: "";
        border-color: transparent;
        border-style: solid;
    }

.arrow {
    border-right-color: #7c7cb6;
}

    .arrow:after {
        border-bottom-color: #7c7cb6;
    }
/* Popover override End */

/*Panel*/
.panel-bg-shade {
    background: linear-gradient(to top, #ebebe0 80%, #6b6b47 90%);
}
.panelpopupItemsView {
    position: absolute;
    top: 1%;
    left: 10%;
    /*Width: 50%;    */
    /*transform: translate(-50%,-50%);*/
    padding: 0.5rem;
    z-index: 5000;
    min-height: 650px; /*730px*/
    max-height: 650px; /*730px*/
}
.panelpopup {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%,-50%);
    padding: 0.5rem;
    display: none;
    z-index: 5000;
}
.panelpopup-old {
    position: absolute;
    left: 50%;
    top: 40%;
    transform: translate(-50%,-50%);
    padding: 0.5rem;
    display: none;
   /* z-index:10000;*/
}
.panelpopupHold {
    position: absolute;
    left: 50%;
    top: 40%;
    Width: 85%;
    height: 75%;
    transform: translate(-50%,-50%);
    padding: 0.5rem;
    z-index: 5000;
    /*animation: mymove 1s;*/
}
/*@keyframes mymove {
    from {
        height: 0%;
    }
    to {
        height: 75%;
    }
}*/


/*for validation only*/
.error-warning-on {
    border: 2px solid #ff6666;
    background-color: #ffe6e6;
}
.error-warning-off {
    border: 1px solid #ced4da;
    background-color: white;
}

.validate {
}

.validateddl {
}

.validateTwo {
}
.validateddlTwo {
}
.blockpasteonAmt {
}
.pre-scrollable-custom {
    overflow-y: scroll;
    height: 600px;
}

.ht250 {
    height: 240px;
}
.form-control-search-hgt{
    height:32px;    
}

/* NEW */
.error {
    border: 3px solid #ff6666;
    background: #ffe6e6;
}

.error-message {
    color: red;
    display: none;
}
.common-scrollbar {
    max-height: 20vh !important;
    overflow-y: scroll;
}
.ps-scrollbar30vh {
    min-height: 30vh !important;
    max-height: 30vh !important;
    overflow-y: scroll;
}
.header-controls {
    padding: 2px 6px;
    height: 26px;
    font-size: 13px;
    font-weight: 500;
}

.header-controls-ddl {
    padding: 2px 6px;
    height: 26px;
    font-size: 13px;
    font-weight: 500;
}
.InwardDt-scrollbar {
    max-height: 25vh !important;
    overflow-y: scroll;
}
.outwardDt-scrollbar {
    max-height: 25vh !important;
    min-height: 25vh !important;
    overflow-y: scroll;
}
input[type=checkbox] + label {
    font-size: 15px;
    color: darkslategray;
    font-style: normal;
    margin-left: 10px;
}
.btn-cancel {
    width: 24px;
    height: 24px;
    background-image: url('Images/cancel-red.png');
    background-size: cover;
    border: none;
}

    .btn-cancel.disabled, .btn-cancel:disabled {
        background-image: url('Images/cancel-hover.png');
        background-size: cover;
        border: none;
    }

.btn-cancelled {
    width: 24px;
    height: 24px;
    background-image: url('Images/cancel-hover.png');
    background-size: cover;
    border: none;
}
.btn-dispatch {
    width: 32px;
    height: 25px;
    background-image: url('Images/dispatch-icon-blue-nobg.png');
    background-size: cover;
    border:none;
}

    .btn-dispatch:hover {
        background-image: url('Images/dispatch-icon-blue-nobg.png');
        background-size: cover;
        /*border: 1px dotted darkblue;*/
       
    }
.btn-legder {
    width: 22px;
    height: 24px;
    background-image: url('Images/ledger-btn-icon.jpeg');
    background-size: cover;
}

    .btn-legder:hover {
        width: 27px;
        height: 29px;
        background-image: url('Images/ledger-btn-icon.jpeg');
        background-size: cover;
    }

.btn-info {
    color: #fff;
    background-color: #17a2b8;
    border-color: #17a2b8;
}

    .btn-info:hover {
        color: #fff;
        background-color: #138496;
        border-color: #117a8b;
    }

    .btn-info:focus, .btn-info.focus {
        color: #fff;
        background-color: #138496;
        border-color: #117a8b;
        box-shadow: 0 0 0 0.2rem rgba(58, 176, 195, 0.5);
    }

    .btn-info.disabled, .btn-info:disabled {
        color: #fff;
        background-color: #17a2b8;
        border-color: #17a2b8;
    }

    .btn-info:not(:disabled):not(.disabled):active, .btn-info:not(:disabled):not(.disabled).active,
    .show > .btn-info.dropdown-toggle {
        color: #fff;
        background-color: #117a8b;
        border-color: #10707f;
    }

        .btn-info:not(:disabled):not(.disabled):active:focus, .btn-info:not(:disabled):not(.disabled).active:focus,
        .show > .btn-info.dropdown-toggle:focus {
            box-shadow: 0 0 0 0.2rem rgba(58, 176, 195, 0.5);
        }

.outstandingred {
    color: #FFD700;
    font-weight: bold;
    background-color: #dc3545;
    border: 1px solid #ffffff;
    border-radius: 10px;
    padding: 0.2rem 0.5rem; /* increased padding */
    font-size: 0.8rem; /* larger text */
}



.outstandinggreen {
    color: #FFD700;
    font-weight: bold;
    background-color: seagreen;
    border: 1px solid #ffffff;
    border-radius: 10px;
    padding: 0.2rem 0.5rem;
    font-size: 0.8rem;
}


.horiztlSpace0 {
    padding-left: 5px;
}

.horiztlSpace1 {
    padding-left: 15px;
}

.horiztlSpace2 {
    padding-left: 25px;
}

.horiztlSpace3 {
    padding-left: 35px;
}

.horiztlSpace4 {
    padding-left: 45px;
}

.horiztlSpace5 {
    padding-left: 55px;
}

.horiztlSpace6 {
    padding-left: 65px;
}

.horiztlSpace7 {
    padding-left: 75px;
}

/*Print and Pdf Button Dispalying on Mobile Devices*/
/*Start*/
.ToolbarExport.WidgetSet,
.ToolbarPrint.WidgetSet {
    display: inline-block !important;
}
/*End*/

/* Reminder Master Start */
.btn-mts {
    padding: 2px 4px;
    border-radius: 4px;
}

.bg-green70-mts {
    background-color: #66ff66 !important;
}

.bg-lightGray95-mts {
    background-color: #f2f2f2 !important;
}

.bg-lightblue-mts {
    background-color: #c5cef7 !important;
}

@keyframes spin {
    from {
        transform: rotate(-45deg);
    }

    to {
        transform: rotate(45deg);
    }
}

.btn-stop {
    width: 22px;
    height: 22px;
    background-image: url('Images/stoppay.png');
    background-size: cover;
    border: none;
    animation: spin 1s infinite;
}

    .btn-stop:hover {
        background-image: url('Images/stoppay.png');
        background-size: cover;
        border: none;
    }

.btn-invoice {
    width: 26px;
    height: 27px;
    background-image: url('Images/receipts-blue.jpg');
    background-size: cover;
}

    .btn-invoice:hover {
        background-image: url('Images/receipts-gray.jpg');
        background-size: cover;
    }

.btn-done {
    width: 27px;
    height: 27px;
    background-image: url('Images/done-green.PNG');
    background-size: cover;
    background-color: transparent;
    border: 1px solid transparent;
}

    .btn-done:hover {
        background-image: url('Images/done-green.PNG');
        background-size: cover;
        background-color: transparent;
        border: 1px solid transparent;
    }
/* Reminder Master End */

/* Reminder Dashboard Start */
.reminderpay-headht-mts {
    height: 90px; /* 80px */
    overflow-y: scroll;
}

.reminderpay-bodyht-mts {
    height: 105px; /*245px*/
    overflow-y: scroll;
}

.bg-blueGridhead-mts {
    background-color: black !important;
}

.text-yellow50-mts {
    color: #ffff00 !important;
}

.text-yellow60-mts {
    color: #ffff33 !important;
}

.bg-yellow60-mts {
    background-color: #ffff33 !important;
}

.no-link-style {
    text-decoration: none; /* Removes underline from link */
    cursor: default;
    pointer-events: none; /* Optional: disables link behavior */
    content: "No URL";
    font-weight: bold;
    color: rgb(13, 110, 253);
}

    .no-link-style::after {
        content: "No URL";
        font-weight: bold;
        color: rgb(13, 110, 253);
    }

.yes-link-style {
    /* Removes underline from link */
    cursor: pointer;
    content: "URL";
    font-weight: bold;
    color: rgb(13, 110, 253);
}

    .yes-link-style::after {
        text-decoration: underline;
        content: "URL";
        font-weight: bold;
        color: rgb(13, 110, 253);
    }

.btn-open-link {
    outline: none;
    box-shadow: none;
    color: yellow;
    background-color: black;
    font-weight: bold;
    text-decoration: none;
    border: 1px solid black;
}

.btn-open-blink {
    animation: blinker 1s linear infinite;
    background-color: red;
    color: white;
}
.btn-open-no-blink {    
    background-color: red;
    color: white;
}

.btn-open-blink-grn {
    animation: blinker 2s linear infinite;
    background-color: limegreen;
    color: black;
}
.btn-open-no-blink-grn {
    background-color: limegreen;
    color: black;
}
.btn-open-blink-ylw {
    animation: blinker 4s linear infinite;
    background-color: yellow;
    color: black;
}
.btn-open-no-blink-ylw {   
    background-color: yellow;
    color: black;
}
.reminder-payment-card {
    border: 1px solid #ccc;
    padding: 5px;
    margin: 5px;
    width: 320px;
    display: inline-block;
    vertical-align: top;
    transition: 0.3s;
    border-radius: 0.5rem;
}

.pre-scrollable-dash {
    overflow-y: scroll;
    max-height: 375px;
}

.hr-lightblue {
    height: 4px;
    background-color: lightblue;
    border: none;
    border-radius: 5px;
    margin: 20px 0;
}

.blink-me {
    animation: blinker 1s linear infinite;
}

@keyframes blinker {
    50% {
        opacity: 0;
    }
}

.fw-bold {
    font-weight: bold !important;
}

.blink_msg-fast2 {
    animation: blinker 1s linear infinite;
}

.text-green-mts {
    color: #23db27 !important;
}
.not-a-link {
    cursor: not-allowed; /* Displays the blocked cursor */
    color: gray;
}

.linkBtn {
    background-color: transparent; /* Green */
    border: 1px solid black;
    border-radius: 0.25rem;
    color: white;
    padding: 0.375rem 0.75rem;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    font-size: 16px;
    margin: 4px 2px;
    transition-duration: 0.4s;
    cursor: pointer;
}

.payment-icon {
    background-image: url('../../Core_Images/robot1.png');
    background-size: contain;
    background-repeat: no-repeat;
    display: inline-block;
    width: 35px; /* Adjust size as needed */
    height: 35px;
}
/*Reminder Dashboard End */
.btn-invoices { /* Use WorkTickets */
    width: 22px;
    height: 25px;
    background: url('Images/invoice.png') no-repeat center;
    background-size: cover;
    display: inline-block;
    border: none; /* remove border */
    outline: none; /* remove focus outline */
    box-shadow: none; /* remove any shadow */
    padding: 0; /* remove extra space */
    cursor: pointer;
    transition: transform;
}
    .btn-invoices:hover {
        background-image: url('Images/invoice-hover.png');
        background-size: cover;
        border: none;
    }

    /*.btn-invoices.disabled, .btn-invoices:disabled {
        background-image: url('Images/jump-btn-disabled.png');
        background-size: cover;
        border: none;
    }*/

.jump-btn { /* Use WorkTickets */
    width: 27px;
    height: 29px;
    background: url('Images/jump-btn.png') no-repeat center;
    background-size: cover;
    display: inline-block;
    border: none; /* remove border */
    outline: none; /* remove focus outline */
    box-shadow: none; /* remove any shadow */
    padding: 0; /* remove extra space */
    cursor: pointer;
    transition: transform;
}
    .jump-btn:hover {
        background-image: url('Images/jump-btn-hover.png');
        background-size: cover;
        border: none;
    }

    .jump-btn.disabled, .jump-btn:disabled {
        background-image: url('Images/jump-btn-disabled.png');
        background-size: cover;
        border: none;
    }